package com.bonus.core.account.v3.web.vo;

import cn.hutool.core.util.NumberUtil;

import java.math.BigDecimal;

public class AccOrdTradeVO {
   private Long orderId;
   private BigDecimal walletPay;
   private BigDecimal subsidyPay;
   private BigDecimal redEnvelopePay;
   private BigDecimal amount;
   private BigDecimal walletBal;
   private BigDecimal subBal;
   private BigDecimal redBal;
   private BigDecimal accBal;

   public BigDecimal getAmount() {
      return NumberUtil.add(new BigDecimal[]{this.walletPay, this.subsidyPay, this.redEnvelopePay});
   }

   public Long getOrderId() {
      return this.orderId;
   }

   public BigDecimal getWalletPay() {
      return this.walletPay;
   }

   public BigDecimal getSubsidyPay() {
      return this.subsidyPay;
   }

   public BigDecimal getRedEnvelopePay() {
      return this.redEnvelopePay;
   }

   public BigDecimal getWalletBal() {
      return this.walletBal;
   }

   public BigDecimal getSubBal() {
      return this.subBal;
   }

   public BigDecimal getRedBal() {
      return this.redBal;
   }

   public BigDecimal getAccBal() {
      return this.accBal;
   }

   public void setOrderId(final Long orderId) {
      this.orderId = orderId;
   }

   public void setWalletPay(final BigDecimal walletPay) {
      this.walletPay = walletPay;
   }

   public void setSubsidyPay(final BigDecimal subsidyPay) {
      this.subsidyPay = subsidyPay;
   }

   public void setRedEnvelopePay(final BigDecimal redEnvelopePay) {
      this.redEnvelopePay = redEnvelopePay;
   }

   public void setAmount(final BigDecimal amount) {
      this.amount = amount;
   }

   public void setWalletBal(final BigDecimal walletBal) {
      this.walletBal = walletBal;
   }

   public void setSubBal(final BigDecimal subBal) {
      this.subBal = subBal;
   }

   public void setRedBal(final BigDecimal redBal) {
      this.redBal = redBal;
   }

   public void setAccBal(final BigDecimal accBal) {
      this.accBal = accBal;
   }

}
